


extern void (*resample_array_inv)(const double *F, 
				  const unsigned char *src, int s_len, int s_stride, 
				  unsigned char *dst, int d_len, int d_stride);


/* choice between antialias or not */
void mesh_resample_use_aa(int f);


/** backward compatible interface, for older code
 * 
 */

static inline
void
resample_array_inv_bc
  (const double *F, 
   const unsigned char *src, 
         unsigned char *dst, int len, int stride)
{

  resample_array_inv(F,src,len,stride,dst,len,stride);
}
